/*
 * ForumController.java
 *
 * JavaBean to allow the JSP pages to perform the right
 * user functions.
 *
 * @author: Devraj Mukherjee
 *
 */

package freeforums.jspbeans;

import javax.naming.*;
import java.util.Hashtable;
import javax.rmi.PortableRemoteObject;
import java.util.Properties;
import java.io.FileInputStream;
import java.util.Properties;

import freeforums.forum.ForumManager;
import freeforums.forum.ForumManagerHome;
import freeforums.forum.Forum;
import freeforums.forum.ForumHome;

import org.jdom.*;


public class ForumController extends Object {

	/**
	 Empty Constructor expected to do nothing
	 **/

	public ForumController() { }

	/**
	 Forum Listing for User
	 **/

	public Document getForumListingForUser(Document UserDetails) {

		try	{
			//Get the home interface for the user management bean
			ForumManagerHome home = (ForumManagerHome) new InitialContext().lookup("ForumManagerBean");
			// Create the manager object
			ForumManager manager = home.create();
			return manager.findForumsForUser(UserDetails);

		}
 		catch(Exception e) {
			// do nothing much
			System.err.println("Exception occured \n" + e);
			return (new Document(new Element("Response").addContent("Failed")));
		}

	 } // End Method getForumListingForUser

	/**
	 Complete Forum Listing
	 **/

	 public Document getCompleteForumListing() {

		try	{
			//Get the home interface for the user management bean
			ForumManagerHome home = (ForumManagerHome) new InitialContext().lookup("ForumManagerBean");
			// Create the manager object
			ForumManager manager = home.create();
			return manager.findAll();

		}
 		catch(Exception e) {
			// do nothing much
			System.err.println("Exception occured \n" + e);
			return (new Document(new Element("Response").addContent("Failed")));
		}

	 } // End Method getCompleteForumListing

	 public Document addForum(Document ForumInformation) {

		try	{
			//Get the home interface for the user management bean
			ForumManagerHome home = (ForumManagerHome) new InitialContext().lookup("ForumManagerBean");
			// Create the manager object
			ForumManager manager = home.create();
			return manager.addForum(ForumInformation);

		}
 		catch(Exception e) {
			// do nothing much
			System.err.println("Exception occured \n" + e);
			return (new Document(new Element("Response").addContent("Failed")));
		}

	 } // End Method Add Forum

	 public Document getForumListForUser(Document ForumInformation) {

		try	{
			//Get the home interface for the user management bean
			ForumManagerHome home = (ForumManagerHome) new InitialContext().lookup("ForumManagerBean");
			// Create the manager object
			ForumManager manager = home.create();
			return manager.findForumsForUser(ForumInformation);

		}
 		catch(Exception e) {
			// do nothing much
			System.err.println("Exception occured \n" + e);
			return (new Document(new Element("Response").addContent("Failed")));
		}

	 } // End Method getForumListForUser

	 public Document isUserAllowed(Document ForumUserInfo) {

		try	{
			//Get the home interface for the user management bean
			ForumManagerHome home = (ForumManagerHome) new InitialContext().lookup("ForumManagerBean");
			// Create the manager object
			ForumManager manager = home.create();
			return manager.isUserAllowed(ForumUserInfo);

		}
 		catch(Exception e) {
			// do nothing much
			System.err.println("Exception occured \n" + e);
			return (new Document(new Element("Response").addContent("Failed")));
		}

	 } // End Method

} // End Class file