/****
 * UserController.java
 *
 * JavaBean to allow the JSP pages to perform the right
 * user functions.
 *
 * @author: Devraj Mukherjee
 *
 ****/

package freeforums.jspbeans;

import javax.naming.*;
import java.util.Hashtable;
import javax.rmi.PortableRemoteObject;
import java.util.Properties;
import java.io.FileInputStream;
import java.util.Properties;

import freeforums.user.UserHome;
import freeforums.user.User;
import freeforums.user.UserManagerHome;
import freeforums.user.UserManager;

import java.util.List;

import org.jdom.*;

public class UserController extends Object {

	/*
	 * Default Constructor does not have to initialize any instance vars
	 */

	public void UserController() {

		// Blank Constructor do nothing

	}

	public boolean isSuperUser(Document UserDocument) {

		 Element userListElement = UserDocument.getRootElement();
		 List userElementList = userListElement.getChildren();
		 Element [] userElements = (Element[])userElementList.toArray(new Element[0]);

		 String SuperUser = userElements[0].getChild("SuperUser").getText();

		 if(SuperUser.equals("Yes")) return true; // Is a Superuser
		 return false; // Not a superuser

	}

	public Document authenticateSession(Document userDocument) {

		/*****
		 *
		 * This method will authenticate the session passed on as a userDocument
		 * this method can be modified for tighter secruity be verifying the user
		 * using the Session Beans
		 *
		 *****/

		 Element userListElement = userDocument.getRootElement();
		 List userElementList = userListElement.getChildren();
		 Element [] userElements = (Element[])userElementList.toArray(new Element[0]);

		 String userName = userElements[0].getChild("UserName").getText();
		 String password = userElements[0].getChild("Password").getText();

		 Element responseElement = new Element("Response");

		 if(userName.equals("") || password.equals("")) responseElement.addContent("Not Verified");
		 else responseElement.addContent("Verified");

		 return (new Document(responseElement));

	}

	public Document getUserList() {

		try	{
			//Get the home interface for the user management bean
			UserManagerHome home = (UserManagerHome) new InitialContext().lookup("UserManagerBean");
			// Create the manager object
			UserManager manager = home.create();
			return manager.findAll();
		}
 		catch(Exception e) {
			// do nothing much
			return null;
		}

	}

	public Document addUser(Document xmlUserList) {

		try	{
			//Get the home interface for the user management bean
			UserManagerHome home = (UserManagerHome) new InitialContext().lookup("UserManagerBean");
			// Create the manager object
			UserManager manager = home.create();
			return manager.addUser(xmlUserList);
		}
 		catch(Exception e) {
			// do nothing much
			return (new Document(new Element("Response").addContent("Failed")));
		}

	}

	public Document loginUser(Document loginDocument) {

		try	{
			//Get the home interface for the user management bean
			UserManagerHome home = (UserManagerHome) new InitialContext().lookup("UserManagerBean");
			// Create the manager object
			UserManager manager = home.create();
			return manager.loginUser(loginDocument);
		}
 		catch(Exception e) {
			// do nothing much
			Element responseElement = new Element("Response");
			responseElement.addContent("Failed");
			return (new Document(responseElement));
		}

	}

	public Document getUserDetails(Document loginDocument) {

		Element UserListElement = loginDocument.getRootElement();
		List UserElementList = UserListElement.getChildren();
		Element [] UserElements = (Element[])UserElementList.toArray(new Element[0]);

		String UserName = UserElements[0].getChild("UserName").getText();

		try	{
			//Get the home interface for the user management bean
			UserManagerHome home = (UserManagerHome) new InitialContext().lookup("UserManagerBean");
			// Create the manager object
			UserManager manager = home.create();
			return manager.getUser(new Document(new Element("UserName").addContent(UserName)));
		}
 		catch(Exception e) {
			// do nothing much
			Element responseElement = new Element("Response");
			responseElement.addContent("Failed");
			return (new Document(responseElement));
		}
	}

	// Bridge method to

	public Document modifyUserDetails(Document UserDocument) {

		try	{
			//Get the home interface for the user management bean
			UserManagerHome home = (UserManagerHome) new InitialContext().lookup("UserManagerBean");
			// Create the manager object
			UserManager manager = home.create();
			return manager.modifyUser(UserDocument);
		}
 		catch(Exception e) {
			// do nothing much
			Element responseElement = new Element("Response");
			responseElement.addContent("Failed");
			return (new Document(responseElement));
		}

	}

	// Bridge method to addUserToForum

	public Document addUserToForum(Document UserDocument) {

		try	{
			//Get the home interface for the user management bean
			UserManagerHome home = (UserManagerHome) new InitialContext().lookup("UserManagerBean");
			// Create the manager object
			UserManager manager = home.create();
			return manager.addUserToForum(UserDocument);
		}
 		catch(Exception e) {
			// do nothing much
			Element responseElement = new Element("Response");
			responseElement.addContent("Failed");
			return (new Document(responseElement));
		}

	}

} // end class file here

