/*
 * ReadMessageUserPK.java
 *
 * Defines a composite Primary Key for Read Messages
 *
 * @author: Devraj Mukherjee
 *
 * Created: 23rd June 2001
 *
 */

 package freeforums.message;

 import java.io.Serializable;

 public class ReadMessagePK implements Serializable {

	 public String userName;
	 public Integer messageID;

	 public ReadMessagePK() { }

	 public ReadMessagePK(String userName, Integer messageID) {

		 this.userName = userName;
		 this.messageID = messageID;

	 }

	 public boolean equals(Object obj) {

		 if (obj==null || !(obj instanceof ReadMessagePK)) return false;

		 if ((((ReadMessagePK)obj).userName == this.userName) && (((ReadMessagePK)obj).messageID == this.messageID))
		  return true;

		 return false; //default value that will be returned

	 }

	 public int hashCode() { return messageID.intValue(); }

	 public String toString() { return userName + " " + messageID; }
 }
