/*
 * ForumUserBean.java
 *
 * Form User Bean implementation
 *
 * @author: Devraj Mukherjee
 *
 * Created: 23rd June 2001
 *
 */

 package freeforums.user;

 import java.rmi.RemoteException;
 import javax.ejb.*;

 public class ForumUserBean implements EntityBean {

	 transient private EntityContext context;

	 public ForumUserPK key;
	 public boolean administrator;

	 public ForumUserPK ejbCreate(ForumUserPK key, boolean administrator) {

		 this.key = key;
		 this.administrator = administrator;
		 return null;

	 }

	 public ForumUserPK ejbCreate(ForumUserPK key) {

		 this.key = key;
		 this.administrator = false;
		 return null;

	 }

	 public void ejbPostCreate(ForumUserPK key, boolean administrator) { }
	 public void ejbPostCreate(ForumUserPK key) { }

	 public void setEntityContext(EntityContext context) { this.context = context; }

	 public void unsetEntityContext() { context = null; }

	 public void ejbActivate() { }
	 public void ejbPassivate() { }
	 public void ejbLoad() { }
	 public void ejbStore() { }
	 public void ejbRemove() { }

	 /* The following are the implementation of the method from the
	    ForumUser Remote interface
	  */

	 public String getUserName() throws RemoteException { return key.userName; }
	 public void setUserName(String userName) throws RemoteException { key.userName = userName; }

	 public Integer getForumID() throws RemoteException { return key.forumID; }
	 public void setForumID(Integer forumID) throws RemoteException { key.forumID = forumID; }

	 public boolean isAdministrator() throws RemoteException { return administrator; }
	 public void setAdministrator(boolean administrator) throws RemoteException { this.administrator = administrator; }

}