/*
 * ForumUserPK.java
 *
 * Defines a composite Primary Key for ForumUser
 *
 * @author: Devraj Mukherjee
 *
 * Created: 23rd June 2001
 *
 */

 package freeforums.user;

 import java.io.Serializable;

 public class ForumUserPK implements Serializable {

	 public String userName;
	 public Integer forumID;

	 public ForumUserPK() { }

	 public ForumUserPK(String userName, Integer forumID) {

		 this.userName = userName;
		 this.forumID = forumID;

	 }

	 public boolean equals(Object obj) {

		 if (obj==null || !(obj instanceof ForumUserPK)) return false;

		 if ((((ForumUserPK)obj).userName == this.userName) && (((ForumUserPK)obj).forumID == this.forumID))
		  return true;

		 return false; //default value that will be returned

	 }

	 public int hashCode() { return forumID.intValue(); }

	 public String toString() { return userName + " " + forumID; }
 }
