/******
 * UserManager.java
 *
 * Defines the Remote Interface for the
 * Session bean that represents the User Management
 * facilities for the FreeForums System.
 *
 * @author: Devraj Mukherjee
 *
 * Created: 24th June 2001
 *
 ******/

 package freeforums.user;

 import javax.ejb.EJBObject;
 import javax.ejb.*;
 import java.rmi.RemoteException;
 import org.jdom.*;

 public interface UserManager extends EJBObject {

	 public Document addUser(Document userDetails) throws RemoteException;

	 public Document modifyUser(Document userDetails) throws RemoteException;

	 public Document getUser(Document userName) throws RemoteException;

	 public Document loginUser(Document loginDocument) throws RemoteException;

	 public Document addUserToForum(Document userDetails) throws RemoteException;

	 public Document removeUserFromForum(Document userDetails) throws RemoteException;

	 public Document findAll() throws RemoteException, FinderException;

 }
